import 'package:apk_update/apk_update.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({super.key});

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  Widget build(BuildContext context) {
    return GetMaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Column(
          children: [
            TextButton(
              onPressed: () {
                ApkUpdate().checkAppVersion(
                    baseUrl: "https://api.clxkj.cn:8088",
                    versionNumber: 1,
                    productNo: 27,
                    onceDay: false,
                    appleId: "1585610919");
              },
              child: const Text('升级应用(旧)'),
            ),
            TextButton(
              onPressed: () {
                ApkUpdate().updateApp(
                    url:
                    "https://gateway.devclx.cn/clx-user/app/version/getSystemVersionByNumber",
                    params: {
                      "versionNumber": 1,
                      "productNo": 1,
                      "productCode": "carrier-driver-app",
                    },
                    onceDay: false,
                    appleId: "1585610919");
              },
              child: const Text('升级应用(新)'),
            ),
          ],
        ),
      ),
    );
  }
}
